TYPO3.Neos - Bug # 44409

Status: Resolved Priority: Must have

Author: Karsten Dambekalns Category:

Created: 2013-01-09 Assigned To: Karsten Dambekalns
Updated: 2013-01-15 Due date:

Subiject: Package management must not call updateSchemay)

Description

When a package is activated or deactivated through the package management feature in the Administration module, updateSchemay)
is called. This should never be done, if schema changes are needed, the use of migrations is in order (and that is best done

elsewhere).

Associated revisions

Revision 28650fee - 2013-01-09 14:00 - Karsten Dambekalns

[BUGFIX] Remove use of updateSchema in package management

Change-Id: Ic42b3befdd16c63a46ca2fb159b4e58432fb613f
Fixes: #44409

History

#1 - 2013-01-09 14:01 - Karsten Dambekalns
- Status changed from New to Under Review
- Assigned To set to Karsten Dambekalns

https://review.typo3.org/17434

#2 - 2013-01-09 14:11 - Soren Malling

Are you thinking about a separate module taking care of databaseschema (migrations, creating new columns etc?)

Or where do you want this to be moved? A different way could be to run the migrations first? And if updateSchema is not to be used, why not remove

it?

#3 - 2013-01-14 16:38 - Karsten Dambekalns

Soren Malling wrote:

Are you thinking about a separate module taking care of databaseschema (migrations, creating new columns etc?)

Unless we integrate package import to some GUI again, it should not be anywhere.

Or where do you want this to be moved? A different way could be to run the migrations first? And if updateSchema is not to be used, why not

remove it?
https://review.typo3.org/17434

With composer and deployments and all that we should think about having a GUI for this in Neos at all again. At least at the current point it seems only

half-way done.

On updateSchema() - in case no migrations are available, it can be helpful. If you know what you are doing, it can be helpful. But in any case - a
proper migration is always preferable.

#4 - 2013-01-15 10:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:28650feedfdefb6c49204a7454c7960af127b7fb.
